Преглед на файлове

add nix-maintenance.sh

container/radius
Astro преди 2 години
родител
ревизия
0c9ce308c2
променени са 1 файла, в които са добавени 10 реда и са изтрити 0 реда
  1. 10
    0
      nix-maintenance.sh

+ 10
- 0
nix-maintenance.sh Целия файл

@@ -0,0 +1,10 @@
1
+#!/usr/bin/env bash
2
+
3
+set -x
4
+set -e
5
+
6
+sudo nix-channel --update
7
+time nix-env -- -u \*
8
+time sudo nixos-rebuild switch
9
+time sudo nix-collect-garbage -d
10
+time sudo nix-store --optimise

Loading…
Отказ
Запис